<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/light_gray">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/light_gray"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@color/error"
            android:gravity="center"
            android:text="@string/passcode"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_marginBottom="1dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textStatus"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@string/enter_passcode_or_scan_qrcode"
                android:textColor="@color/error"
                android:textSize="30sp"
                android:textStyle="bold" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearMark1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="10dp"
            android:paddingBottom="20dp"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/editTextNumber"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:textSize="20sp"
                    android:hint="@string/passcode"
                    android:gravity="center"
                    android:inputType="number" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/button10"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="0" />
                <Button
                    android:id="@+id/button11"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="1" />
                <Button
                    android:id="@+id/button12"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="2" />
                <Button
                    android:id="@+id/button13"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="3" />
                <Button
                    android:id="@+id/button14"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="4" />
                <Button
                    android:id="@+id/buttonR1"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/light_gray"
                    android:text="←" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/button15"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="5" />
                <Button
                    android:id="@+id/button16"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="6" />
                <Button
                    android:id="@+id/button17"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="7" />
                <Button
                    android:id="@+id/button18"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="8" />
                <Button
                    android:id="@+id/button19"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/black"
                    android:text="9" />
                <Button
                    android:id="@+id/buttonC1"
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:backgroundTint="@color/light_gray"
                    android:text="C" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonCancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/cancel_40"
                android:textSize="20sp"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/buttonFinish"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/input_complete"
                android:textSize="20sp"
                android:textColor="@color/black" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>